Bug 1258279 - hmac files are not being cleaned up when kernels are removed [NEEDINFO]
hmac files are not being cleaned up when kernels are removed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-30 19:01 EDT by darrell pfeifer
Modified: 2016-02-17 05:00 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-05 11:52:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lists: needinfo? (extras-qa)


Attachments (Terms of Use)

  None (edit)
Description darrell pfeifer 2015-08-30 19:01:34 EDT
Description of problem:

hmac files are not being removed when old kernels are removed

# ls -al /boot
total 191341
dr-xr-xr-x.  6 root root     6144 Aug 28 14:23 .
dr-xr-xr-x. 20 root root     4096 Jun 19 10:09 ..
-rw-r--r--.  1 root root   156190 Jun 22 08:19 config-4.1.0-1.fc23.x86_64
-rw-r--r--.  1 root root   160356 Aug 17 05:33 config-4.2.0-0.rc7.git0.1.fc23.x86_64
-rw-r--r--.  1 root root   160371 Aug 18 05:26 config-4.2.0-0.rc7.git1.1.fc24.x86_64
-rw-r--r--.  1 root root   160316 Aug 24 07:59 config-4.2.0-0.rc8.git0.1.fc24.x86_64
-rw-r--r--.  1 root root   160294 Aug 28 08:43 config-4.2.0-0.rc8.git3.1.fc24.x86_64
drwx------.  4 root root    16384 Dec 31  1969 efi
drwxr-xr-x.  2 root root     3072 Jul  3 04:10 extlinux
drwxr-xr-x.  3 root root     1024 Aug  5 12:15 grub2
-rw-rw-r--.  1 root root 44616103 Feb 10  2015 initramfs-0-rescue-58501c416382425e94ef2239016ee56e.img
-rw-r--r--.  1 root root 20385349 Jun 22 13:41 initramfs-4.1.0-1.fc23.x86_64.img
-rw-r--r--.  1 root root 19511496 Aug 17 13:32 initramfs-4.2.0-0.rc7.git0.1.fc23.x86_64.img
-rw-r--r--.  1 root root 19520290 Aug 18 10:52 initramfs-4.2.0-0.rc7.git1.1.fc24.x86_64.img
-rw-r--r--.  1 root root 19523075 Aug 24 13:02 initramfs-4.2.0-0.rc8.git0.1.fc24.x86_64.img
-rw-r--r--.  1 root root 19537626 Aug 28 14:23 initramfs-4.2.0-0.rc8.git3.1.fc24.x86_64.img
-rw-r--r--.  1 root root   568105 Aug 24 16:41 initrd-plymouth.img
drwx------.  2 root root    12288 Feb 10  2015 lost+found
-rw-------.  1 root root  3089219 Jun 22 08:19 System.map-4.1.0-1.fc23.x86_64
-rw-------.  1 root root  3152514 Aug 17 05:33 System.map-4.2.0-0.rc7.git0.1.fc23.x86_64
-rw-------.  1 root root  3152268 Aug 18 05:26 System.map-4.2.0-0.rc7.git1.1.fc24.x86_64
-rw-------.  1 root root  3150158 Aug 24 07:59 System.map-4.2.0-0.rc8.git0.1.fc24.x86_64
-rw-------.  1 root root  3151127 Aug 28 08:43 System.map-4.2.0-0.rc8.git3.1.fc24.x86_64
-rwxr-xr-x.  1 root root  5751144 Feb 10  2015 vmlinuz-0-rescue-58501c416382425e94ef2239016ee56e
-rwxr-xr-x.  1 root root  5963960 Jun 22 08:19 vmlinuz-4.1.0-1.fc23.x86_64
-rwxr-xr-x.  1 root root  5974072 Aug 17 05:33 vmlinuz-4.2.0-0.rc7.git0.1.fc23.x86_64
-rwxr-xr-x.  1 root root  5974392 Aug 18 05:26 vmlinuz-4.2.0-0.rc7.git1.1.fc24.x86_64
-rwxr-xr-x.  1 root root  5970136 Aug 24 08:00 vmlinuz-4.2.0-0.rc8.git0.1.fc24.x86_64
-rwxr-xr-x.  1 root root  5975832 Aug 28 08:44 vmlinuz-4.2.0-0.rc8.git3.1.fc24.x86_64
-rw-r--r--.  1 root root      175 May 11 12:02 .vmlinuz.hmac-4.1.0-0.rc3.git0.1.fc23.x86_64
-rw-r--r--.  1 root root      175 May 15 06:30 .vmlinuz.hmac-4.1.0-0.rc3.git3.1.fc23.x86_64
-rw-r--r--.  1 root root      175 May 15 07:53 .vmlinuz.hmac-4.1.0-0.rc3.git3.2.fc23.x86_64
-rw-r--r--.  1 root root      175 May 18 07:21 .vmlinuz.hmac-4.1.0-0.rc3.git4.1.fc23.x86_64
-rw-r--r--.  1 root root      175 May 18 13:22 .vmlinuz.hmac-4.1.0-0.rc4.git0.1.fc23.x86_64
-rw-r--r--.  1 root root      175 May 25 07:59 .vmlinuz.hmac-4.1.0-0.rc5.git0.1.fc23.x86_64
-rw-r--r--.  1 root root      175 Jun  1 07:21 .vmlinuz.hmac-4.1.0-0.rc6.git0.1.fc23.x86_64
-rw-r--r--.  1 root root      175 Jun  3 07:49 .vmlinuz.hmac-4.1.0-0.rc6.git1.1.fc23.x86_64
-rw-r--r--.  1 root root      175 Jun  4 12:13 .vmlinuz.hmac-4.1.0-0.rc6.git2.1.fc23.x86_64
-rw-r--r--.  1 root root      175 Jun  8 07:42 .vmlinuz.hmac-4.1.0-0.rc7.git0.1.fc23.x86_64
-rw-r--r--.  1 root root      175 Jun 12 12:37 .vmlinuz.hmac-4.1.0-0.rc7.git1.1.fc23.x86_64
-rw-r--r--.  1 root root      175 Jun 15 06:20 .vmlinuz.hmac-4.1.0-0.rc8.git0.1.fc23.x86_64
-rw-r--r--.  1 root root      175 Jun 16 19:57 .vmlinuz.hmac-4.1.0-0.rc8.git0.2.fc23.x86_64
-rw-r--r--.  1 root root      164 Jun 22 08:13 .vmlinuz.hmac-4.1.0-1.fc23.x86_64
-rw-r--r--.  1 root root      175 Jun 26 11:59 .vmlinuz.hmac-4.2.0-0.rc0.git1.1.fc23.x86_64
-rw-r--r--.  1 root root      175 Jun 29 09:56 .vmlinuz.hmac-4.2.0-0.rc0.git2.1.fc23.x86_64
-rw-r--r--.  1 root root      175 Jun 30 12:08 .vmlinuz.hmac-4.2.0-0.rc0.git3.1.fc23.x86_64
-rw-r--r--.  1 root root      175 Jul  6 14:06 .vmlinuz.hmac-4.2.0-0.rc1.git0.1.fc23.x86_64
-rw-r--r--.  1 root root      175 Jul  7 08:08 .vmlinuz.hmac-4.2.0-0.rc1.git1.1.fc23.x86_64
-rw-r--r--.  1 root root      175 Jul 10 12:55 .vmlinuz.hmac-4.2.0-0.rc1.git3.1.fc23.x86_64
-rw-r--r--.  1 root root      175 Jul 13 08:21 .vmlinuz.hmac-4.2.0-0.rc2.git0.1.fc23.x86_64
-rw-r--r--.  1 root root      175 Jul 17 13:13 .vmlinuz.hmac-4.2.0-0.rc2.git2.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Jul 20 08:58 .vmlinuz.hmac-4.2.0-0.rc3.git0.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Jul 23 12:23 .vmlinuz.hmac-4.2.0-0.rc3.git3.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Jul 24 07:16 .vmlinuz.hmac-4.2.0-0.rc3.git4.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Jul 27 08:32 .vmlinuz.hmac-4.2.0-0.rc4.git0.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Jul 28 13:10 .vmlinuz.hmac-4.2.0-0.rc4.git1.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Jul 29 10:57 .vmlinuz.hmac-4.2.0-0.rc4.git2.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Jul 30 06:46 .vmlinuz.hmac-4.2.0-0.rc4.git3.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Jul 31 09:42 .vmlinuz.hmac-4.2.0-0.rc4.git4.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Jul 31 11:46 .vmlinuz.hmac-4.2.0-0.rc4.git4.2.fc24.x86_64
-rw-r--r--.  1 root root      175 Aug  3 08:29 .vmlinuz.hmac-4.2.0-0.rc5.git0.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Aug  4 09:31 .vmlinuz.hmac-4.2.0-0.rc5.git1.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Aug  5 08:15 .vmlinuz.hmac-4.2.0-0.rc5.git2.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Aug  7 08:37 .vmlinuz.hmac-4.2.0-0.rc5.git3.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Aug 10 05:38 .vmlinuz.hmac-4.2.0-0.rc6.git0.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Aug 14 08:41 .vmlinuz.hmac-4.2.0-0.rc6.git1.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Aug 17 05:27 .vmlinuz.hmac-4.2.0-0.rc7.git0.1.fc23.x86_64
-rw-r--r--.  1 root root      175 Aug 18 05:20 .vmlinuz.hmac-4.2.0-0.rc7.git1.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Aug 24 07:54 .vmlinuz.hmac-4.2.0-0.rc8.git0.1.fc24.x86_64
-rw-r--r--.  1 root root      175 Aug 28 08:38 .vmlinuz.hmac-4.2.0-0.rc8.git3.1.fc24.x86_64



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Brian Lane 2015-08-31 12:32:37 EDT
grubby doesn't remove anything. That's handled by yum and rpm.
Comment 2 darrell pfeifer 2015-10-28 13:12:36 EDT
The old /lib/modules files aren't being removed either. I have a max of 5 kernels installed

[root@localhost darrell]# ls -l /lib/modules/
total 152
drwxr-xr-x. 3 root root 4096 Feb 27  2015 3.17.4-301.fc21.x86_64
drwxr-xr-x. 3 root root 4096 Feb 18  2015 3.19.0-1.fc22.x86_64
drwxr-xr-x. 3 root root 4096 Mar  3  2015 3.20.0-0.rc0.git10.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Feb 19  2015 3.20.0-0.rc0.git2.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Feb 20  2015 3.20.0-0.rc0.git6.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Feb 23  2015 3.20.0-0.rc0.git7.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Feb 25  2015 3.20.0-0.rc0.git8.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Feb 27  2015 3.20.0-0.rc0.git9.2.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Mar  3  2015 4.0.0-0.rc1.git0.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Mar  5  2015 4.0.0-0.rc1.git1.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Mar  6  2015 4.0.0-0.rc1.git1.2.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Mar  9  2015 4.0.0-0.rc1.git2.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Mar 12  2015 4.0.0-0.rc1.git3.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Mar 13  2015 4.0.0-0.rc2.git0.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Mar 16  2015 4.0.0-0.rc2.git1.2.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Mar 20  2015 4.0.0-0.rc2.git2.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Mar 24  2015 4.0.0-0.rc3.git0.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Mar 24  2015 4.0.0-0.rc3.git1.2.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Mar 26  2015 4.0.0-0.rc3.git2.2.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Mar 26  2015 4.0.0-0.rc4.git0.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Mar 27  2015 4.0.0-0.rc4.git1.4.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Mar 30  2015 4.0.0-0.rc5.git0.3.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Apr  2  2015 4.0.0-0.rc5.git1.3.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Apr  9  2015 4.0.0-0.rc5.git2.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Apr 10  2015 4.0.0-0.rc5.git3.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Apr 13  2015 4.0.0-0.rc5.git4.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Apr 14  2015 4.0.0-0.rc6.git0.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Apr 15  2015 4.0.0-0.rc6.git1.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Apr 16  2015 4.0.0-0.rc7.git1.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Apr 17  2015 4.0.0-0.rc7.git2.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Apr 18  2015 4.0.0-1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Apr 20  2015 4.1.0-0.rc0.git1.1.fc23.x86_64
drwxr-xr-x. 3 root root 4096 Apr 21  2015 4.1.0-0.rc0.git1.2.fc23.x86_64
drwxr-xr-x. 5 root root 4096 Aug 31 15:32 4.2.0-1.fc24.x86_64
drwxr-xr-x. 5 root root 4096 Oct  5 18:10 4.3.0-0.rc4.git0.1.fc24.x86_64
drwxr-xr-x. 5 root root 4096 Oct 12 21:06 4.3.0-0.rc5.git0.1.fc24.x86_64
drwxr-xr-x. 5 root root 4096 Oct 19 16:04 4.3.0-0.rc6.git0.1.fc24.x86_64
drwxr-xr-x. 5 root root 4096 Oct 26 16:15 4.3.0-0.rc7.git0.1.fc24.x86_64
Comment 3 Florian Festi 2015-10-30 09:31:27 EDT
Hmm, what does rpm -qf /boot/.vmlinuz.hmac-* and rpm -qf /lib/modules/* say?

As the kernel package is split up may be the sub packages are not removed.
Comment 4 darrell pfeifer 2015-10-30 10:26:05 EDT
file /boot/.vmlinuz.hmac-4.3.0-0.rc4.git0.1.fc24.x86_64 is not owned by any package
file /boot/.vmlinuz.hmac-4.3.0-0.rc5.git0.1.fc24.x86_64 is not owned by any package
file /boot/.vmlinuz.hmac-4.3.0-0.rc6.git0.1.fc24.x86_64 is not owned by any package
file /boot/.vmlinuz.hmac-4.3.0-0.rc7.git0.1.fc24.x86_64 is not owned by any package

... repeated for all the old ones but...

file /lib/modules/4.0.0-0.rc7.git2.1.fc23.x86_64 is not owned by any package
file /lib/modules/4.0.0-1.fc23.x86_64 is not owned by any package
file /lib/modules/4.1.0-0.rc0.git1.1.fc23.x86_64 is not owned by any package
file /lib/modules/4.1.0-0.rc0.git1.2.fc23.x86_64 is not owned by any package
kernel-core-4.2.0-1.fc24.x86_64
kernel-core-4.3.0-0.rc4.git0.1.fc24.x86_64
kernel-core-4.3.0-0.rc5.git0.1.fc24.x86_64
kernel-core-4.3.0-0.rc6.git0.1.fc24.x86_64
kernel-core-4.3.0-0.rc7.git0.1.fc24.x86_64

kernel-core still owns the modules for currently installed kernels. I keep 5 versions rather than the default 3
Comment 5 darrell pfeifer 2015-11-05 11:52:59 EST
The modules part is fixed by

https://bugzilla.redhat.com/show_bug.cgi?id=1277264

I'm assuming it works for the hmac part too.
Comment 6 Christian Kujau 2016-02-17 05:00:47 EST
While bug 1277264 ("kernel-install: line 95: syntax error near unexpected token `done'") is closed, I can't see the error message mentioned over there anywhere in my system logs. Yet, these old .vmlinuz.hmac* files are not cleaned up either on this F23 machine.

$ rpm -q systemd
systemd-222-14.fc23.i686

$ rpm -qf /boot/.vmlinuz.hmac* /lib/modules/*
file /boot/.vmlinuz.hmac-4.2.5-300.fc23.i686+PAE is not owned by any package
file /boot/.vmlinuz.hmac-4.2.6-300.fc23.i686+PAE is not owned by any package
file /boot/.vmlinuz.hmac-4.2.6-301.fc23.i686+PAE is not owned by any package
file /boot/.vmlinuz.hmac-4.2.7-300.fc23.i686+PAE is not owned by any package
file /boot/.vmlinuz.hmac-4.2.8-300.fc23.i686+PAE is not owned by any package
file /boot/.vmlinuz.hmac-4.3.3-300.fc23.i686+PAE is not owned by any package
file /boot/.vmlinuz.hmac-4.3.3-301.fc23.i686+PAE is not owned by any package
file /boot/.vmlinuz.hmac-4.3.3-303.fc23.i686+PAE is not owned by any package
file /boot/.vmlinuz.hmac-4.3.4-300.fc23.i686+PAE is not owned by any package
file /boot/.vmlinuz.hmac-4.3.5-300.fc23.i686+PAE is not owned by any package
kernel-PAE-core-4.3.3-300.fc23.i686
kernel-PAE-core-4.3.4-300.fc23.i686
kernel-PAE-core-4.3.5-300.fc23.i686

$ uname -r
4.3.5-300.fc23.i686+PAE

Also, the referenced bug 1277264 mentions that this is fixed in systemd-227-3.fc24, but I fail to see how systemd would be involved in package management. Wouldn't this need a fix in the kernel rpm package or maybe dnf?

Note You need to log in before you can comment on or make changes to this bug.